net.i2p.sam.client

## Class SAMClientEventListenerImpl

- java.lang.Object
- - net.i2p.sam.client.SAMClientEventListenerImpl

- All Implemented Interfaces:
    SAMReader.SAMClientEventListener
  Direct Known Subclasses:
    SAMEventHandler

      public class SAMClientEventListenerImpl
      extends Object
      implements SAMReader.SAMClientEventListener

  Basic noop client event listener

- - ### Field Summary

    - ### Fields inherited from interface net.i2p.sam.client.SAMReader.SAMClientEventListener

      `NAMING_REPLY_INVALID_KEY, NAMING_REPLY_KEY_NOT_FOUND, NAMING_REPLY_OK, SESSION_STATUS_DUPLICATE_DEST, SESSION_STATUS_I2P_ERROR, SESSION_STATUS_INVALID_KEY, SESSION_STATUS_OK, STREAM_CLOSED_CANT_REACH_PEER, STREAM_CLOSED_I2P_ERROR, STREAM_CLOSED_OK, STREAM_CLOSED_PEER_NOT_FOUND, STREAM_CLOSED_TIMEOUT, STREAM_STATUS_CANT_REACH_PEER, STREAM_STATUS_I2P_ERROR, STREAM_STATUS_INVALID_KEY, STREAM_STATUS_OK, STREAM_STATUS_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMClientEventListenerImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `datagramReceived(String dest, byte[] data, int offset, int length, int fromPort, int toPort)`
    `void` | `destReplyReceived(String publicKey, String privateKey)`
    `void` | `helloReplyReceived(boolean ok, String version)`
    `void` | `namingReplyReceived(String name, String result, String value, String message)`
    `void` | `pingReceived(String data)`
    `void` | `pongReceived(String data)`
    `void` | `rawReceived(byte[] data, int offset, int length, int fromPort, int toPort, int protocol)`
    `void` | `sessionStatusReceived(String result, String destination, String message)`
    `void` | `streamClosedReceived(String result, String id, String message)`
    `void` | `streamConnectedReceived(String remoteDestination, String id)`
    `void` | `streamDataReceived(String id, byte[] data, int offset, int length)`
    `void` | `streamStatusReceived(String result, String id, String message)`
    `void` | `unknownMessageReceived(String major, String minor, Properties params)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMClientEventListenerImpl

          public SAMClientEventListenerImpl()

  - ### Method Detail

    - #### datagramReceived

          public void datagramReceived(String dest,
                                       byte[] data,
                                       int offset,
                                       int length,
                                       int fromPort,
                                       int toPort)

      Specified by:
        `datagramReceived` in interface `SAMReader.SAMClientEventListener`

    - #### destReplyReceived

          public void destReplyReceived(String publicKey,
                                        String privateKey)

      Specified by:
        `destReplyReceived` in interface `SAMReader.SAMClientEventListener`

    - #### helloReplyReceived

          public void helloReplyReceived(boolean ok,
                                         String version)

      Specified by:
        `helloReplyReceived` in interface `SAMReader.SAMClientEventListener`

    - #### namingReplyReceived

          public void namingReplyReceived(String name,
                                          String result,
                                          String value,
                                          String message)

      Specified by:
        `namingReplyReceived` in interface `SAMReader.SAMClientEventListener`

    - #### pingReceived

          public void pingReceived(String data)

      Specified by:
        `pingReceived` in interface `SAMReader.SAMClientEventListener`

    - #### pongReceived

          public void pongReceived(String data)

      Specified by:
        `pongReceived` in interface `SAMReader.SAMClientEventListener`

    - #### rawReceived

          public void rawReceived(byte[] data,
                                  int offset,
                                  int length,
                                  int fromPort,
                                  int toPort,
                                  int protocol)

      Specified by:
        `rawReceived` in interface `SAMReader.SAMClientEventListener`

    - #### sessionStatusReceived

          public void sessionStatusReceived(String result,
                                            String destination,
                                            String message)

      Specified by:
        `sessionStatusReceived` in interface `SAMReader.SAMClientEventListener`

    - #### streamClosedReceived

          public void streamClosedReceived(String result,
                                           String id,
                                           String message)

      Specified by:
        `streamClosedReceived` in interface `SAMReader.SAMClientEventListener`

    - #### streamConnectedReceived

          public void streamConnectedReceived(String remoteDestination,
                                              String id)

      Specified by:
        `streamConnectedReceived` in interface `SAMReader.SAMClientEventListener`

    - #### streamDataReceived

          public void streamDataReceived(String id,
                                         byte[] data,
                                         int offset,
                                         int length)

      Specified by:
        `streamDataReceived` in interface `SAMReader.SAMClientEventListener`

    - #### streamStatusReceived

          public void streamStatusReceived(String result,
                                           String id,
                                           String message)

      Specified by:
        `streamStatusReceived` in interface `SAMReader.SAMClientEventListener`

    - #### unknownMessageReceived

          public void unknownMessageReceived(String major,
                                             String minor,
                                             Properties params)

      Specified by:
        `unknownMessageReceived` in interface `SAMReader.SAMClientEventListener`